# Note:  The tests for this perl dist. are disabled by default, as they
# require display access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_display_tests 1' ...
#   rpmbuild ... --with display_tests ...
#   define _with_display_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.


Name:           perl-Gtk2-TrayIcon
Version:        0.06
Release:        7%{?dist}
Summary:        Perl interface to the EggTrayIcon library 

Group:          Development/Libraries
License:        LGPLv2+ 
URL:            http://search.cpan.org/dist/Gtk2-TrayIcon            
Source0:        http://www.cpan.org/modules/by-module/Gtk2/Gtk2-TrayIcon-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  gtk2-devel
# core
BuildRequires:  perl(ExtUtils::MakeMaker)
# cpan
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Gtk2) >= 1.00
BuildRequires:  perl(Glib::MakeHelper)

%description
This module allows a Perl developer to embed an arbitrary widget in a System
Tray like the Gnome notification area.

%prep
%setup -q -n Gtk2-TrayIcon-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
# see top of spec
%{?_with_display_tests: make test}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc TODO examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gtk2
%{_mandir}/man3/*.3*


%changelog
* Wed Aug 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.06-7
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-4
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.06-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.06-2
- bump

* Sat Jun 02 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- update to 0.06
- add t/ to doc

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-3
- bump for mass rebuild

* Thu Aug 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump for release

* Fri Jul 28 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- Initial spec file for F-E
